<?php
/**
 * Plugin Name:       Bottom Admin Toolbar
 * Plugin URI:        https://wordpress.org/plugins/bottom-admin-toolbar/
 * Description:       Change your admin toolbar position to the bottom !
 * Version:           1.3.3
 * Tags:              admin, bar, adminbar, bottom bar, toolbar, WordPress, bottom
 * Requires at least: 3.0 or higher
 * Requires PHP:      5.6
 * Tested up to:      5.8
 * Stable tag:        1.3.3
 * Author:            Michael Revellin-Clerc
 * License:           GPL v2 or later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Contributors:      Michael Revellin-Clerc
 * Donate link:       https://ko-fi.com/devloper
 */

add_action( 'init', 'bab_activated' );
function bab_activated() {
    // Path of current plugin
    $plugin_path = plugin_basename( __FILE__ );

    // Execute only if plugin is activated
    if ( in_array( $plugin_path, apply_filters( 'active_plugins', get_option( 'active_plugins' ) ), true ) ) {

        // Add admin-bar support if not already activated
        add_theme_support( 'admin-bar', array( 'callback' => '__return_false' ) );

        // Enqueue custom files
        add_action( 'wp_enqueue_scripts', 'bab_enqueue_custom_files' );
        function bab_enqueue_custom_files() {
            // Only loggedin-user
            if ( is_admin_bar_showing() ) :
                wp_enqueue_style( 'toolbar-css', plugin_dir_url( __FILE__ ) . 'assets/toolbar.css', array(), '0.1', 'all' );
                wp_enqueue_script( 'toolbar-js', plugin_dir_url( __FILE__ ) . 'assets/toolbar.js', array( 'jquery' ), '0.1', true );
            endif;
        }
    }
}

add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'bab_plugin_manage_link', 10, 4 );
function bab_plugin_manage_link( $actions, $plugin_file, $plugin_data, $context ) {
    return array_merge( array( 'rate' => '' . __( '<a style="color:#4caf50;" target="_blank" href="https://wordpress.org/support/plugin/bottom-admin-toolbar/reviews/#new-post">Rate this ★</a>' ) . '' ), $actions );
}
